<?php
include "LaMetricIP.php";

$apikey = "dev:" . $apikey;
$apikey = base64_encode ( $apikey );

$url = "http://10.0.1.20:5005/Wohnzimmer/State";
$curl = curl_init ();
$headers = array (
		"Accept: application/json",
		"Content-Type: application/json",
		"Authorization: Basic $apikey",
		"Cache-Control: no-cache" 
);

curl_setopt ( $curl, CURLOPT_HTTPHEADER, $headers );
curl_setopt ( $curl, CURLOPT_URL, $url );
curl_setopt ( $curl, CURLOPT_RETURNTRANSFER, 1 );
curl_setopt ( $curl, CURLOPT_SSL_VERIFYPEER, false );
$state = curl_exec ( $curl );
curl_close ( $curl );

$state = json_decode ( $state, true );
$artist = $state['currentTrack']['artist'];
$title = $state['currentTrack']['title'];

$info = "Es läuft: " . $artist . " / " . $title;

if (array_key_exists('currentTrack', $state) && array_key_exists('album', $state['currentTrack'])) {
	$album = $state['currentTrack']['album'];
	$info = $info . " / " . $album;
}

$message_construct = array (
	"frames" =>
	array (
		0 =>
		array (
			"text" => "$info",
			"icon" => "i2020",
			"index" => 0, 
		), 
	),
);

echo(json_encode($message_construct));

?>




